Skip to navigation

FormLibraries Resource

View as Markdown

The FormLibraries resource enables you to access standard real estate industry association forms and add them to rooms.

Methods supported

MethodDescription
GetFormLibrariesGET /restapi/v2/accounts/{accountId}/form_libraries
Gets form libraries.
GetFormLibraryFormsGET /restapi/v2/accounts/{accountId}/form_libraries/{formLibraryId}/forms
Gets the forms in a form library.

FormLibraries properties

PropertyTypeDescription
endPositioninteger (int32)The last zero-based index position in the result set.
formsLibrarySummariesarrayA list of form libraries.
nextUristringThe URI for the next chunk of records based on the search request. This property is null for the last set of search results.
priorUristringThe URI for the previous chunk of records based on the search request. This property is null for the first set of search results.
resultSetSizeinteger (int32)The number of results returned in this response.
startPositioninteger (int32)The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.
totalRowCountinteger (int32)The number of results in this reponse.